# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    koverartist
%define version 0.4
%define release 1.2006mcnl
%define summary creation of covers
%define section Multimedia/Graphics
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://kde-apps.org/content/show.php?content=38195
License:        GPL
Group:          Graphics
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:       %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
KoverArtist is a program for the fast creation of covers for
cd/dvd cases and boxes. The main idea behind it is to be able
to create decent looking covers with some mouseclicks.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}

%build 

%configure

%make

%install

%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="koverartist" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Koverartist" \
longtitle="%summary"
EOF

#icons
%define  nameicon src/icons/hi128-app-koverartist.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

rm -rf %buildroot/%_datadir/icons/hicolor

%post
%update_menus

%postun
%clean_menus


%clean 
rm -rf %{buildroot}


%files 
%defattr(-,root,root,0755) 
%doc COPYING AUTHORS ChangeLog FAQ TODO

%{_bindir}/koverartist
%{_datadir}/applnk/Multimedia/koverartist.desktop
%{_datadir}/apps/koverartist/*
%{_datadir}/doc/HTML/*/koverartist/*
%{_datadir}/locale/de/LC_MESSAGES/koverartist.mo
%{_datadir}/locale/es/LC_MESSAGES/koverartist.mo
%{_datadir}/locale/it/LC_MESSAGES/koverartist.mo
%{_datadir}/locale/pl/LC_MESSAGES/koverartist.mo
%{_datadir}/locale/pt/LC_MESSAGES/koverartist.mo
%{_datadir}/mimelnk/application/x-koverartist.desktop
%{_menudir}/koverartist
%{_iconsdir}


%changelog 
*Sun May 14 2006 Marco Meijer <marco@mandrivaclub.nl> 0.4.0-1.2006mcnl
new version

*Sun Apr 30 2006 Marco Meijer <marco@mandrivaclub.nl> 0.3.3-1.2006mcnl
new version

*Sat Apr 22 2006 Marco Meijer <marco@mandrivaclub.nl> 0.3.1-1.2006mcnl
Build for mandrivaclub.nl



